################################################################################
# Automatically-generated file. Do not edit!
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
D:/DJYOS_Studio/djysrc/component/charset/charset.c \
D:/DJYOS_Studio/djysrc/component/charset/loc_string.c \
D:/DJYOS_Studio/djysrc/component/charset/nls.c 

OBJS += \
./src/libos/component/charset/charset.o \
./src/libos/component/charset/loc_string.o \
./src/libos/component/charset/nls.o 

C_DEPS += \
./src/libos/component/charset/charset.d \
./src/libos/component/charset/loc_string.d \
./src/libos/component/charset/nls.d 


# Each subdirectory must supply rules for building sources it contributes
src/libos/component/charset/charset.o: D:/DJYOS_Studio/djysrc/component/charset/charset.c
	@echo 'Building file: $<'
	@echo 'Invoking: Cross ARM GNU C Compiler'
	arm-djyos-eabi-gcc -mcpu=cortex-m4 -mthumb -mlittle-endian -mfloat-abi=hard -mfpu=fpv4-sp-d16 -O0 -fmessage-length=0 -fsigned-char -ffunction-sections -fdata-sections -ffreestanding -fno-move-loop-invariants -Wall -Wextra  -g3 -DDEBUG=1 -DCFG_MODULE_ENABLE_ART32F4=true -DAT_START_F437_V1 -DCFG_CPU_AT32F4 -DUSE_STDPERIPH_DRIVER -DAT32F437VGT7 -DCFG_MODULE_ENABLE_FAT_FILE_SYSTEM=true -DCFG_FAT_MS_INSTALLUSE=MS_INSTALLCREAT -D"CFG_FAT_MEDIA_KIND=\"MSC\"" -D"CFG_FAT_MOUNT_POINT=\"fat\"" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/armv7e-m/cortex-m4/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/armv7e-m/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libc/include/sys" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libm/common" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libc/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/cpudrv/arterytek/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/boarddrv/user/hzgj_dtu/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/font" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/net" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/djyfs" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/widget" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/device" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/gui" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/misc" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/djyos/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/djyos" -I"D:/DJYOS_Studio/Workspace/dtu/src/iboot/OS_prjcfg" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/loader/si/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/userlib/app_update/" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/fs/fat/" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/chipdrv/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/at32f43x" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/userlib" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/CMSIS/Include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/at32f43x/inc" -std=gnu11 -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@)" -c -o "$@" "$<" -MMD -MP -MF"$(@:%.o=%.d)"
	@echo 'Finished building: $<'
	@echo ' '

src/libos/component/charset/loc_string.o: D:/DJYOS_Studio/djysrc/component/charset/loc_string.c
	@echo 'Building file: $<'
	@echo 'Invoking: Cross ARM GNU C Compiler'
	arm-djyos-eabi-gcc -mcpu=cortex-m4 -mthumb -mlittle-endian -mfloat-abi=hard -mfpu=fpv4-sp-d16 -O0 -fmessage-length=0 -fsigned-char -ffunction-sections -fdata-sections -ffreestanding -fno-move-loop-invariants -Wall -Wextra  -g3 -DDEBUG=1 -DCFG_MODULE_ENABLE_ART32F4=true -DAT_START_F437_V1 -DCFG_CPU_AT32F4 -DUSE_STDPERIPH_DRIVER -DAT32F437VGT7 -DCFG_MODULE_ENABLE_FAT_FILE_SYSTEM=true -DCFG_FAT_MS_INSTALLUSE=MS_INSTALLCREAT -D"CFG_FAT_MEDIA_KIND=\"MSC\"" -D"CFG_FAT_MOUNT_POINT=\"fat\"" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/armv7e-m/cortex-m4/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/armv7e-m/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libc/include/sys" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libm/common" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libc/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/cpudrv/arterytek/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/boarddrv/user/hzgj_dtu/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/font" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/net" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/djyfs" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/widget" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/device" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/gui" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/misc" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/djyos/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/djyos" -I"D:/DJYOS_Studio/Workspace/dtu/src/iboot/OS_prjcfg" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/loader/si/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/userlib/app_update/" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/fs/fat/" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/chipdrv/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/at32f43x" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/userlib" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/CMSIS/Include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/at32f43x/inc" -std=gnu11 -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@)" -c -o "$@" "$<" -MMD -MP -MF"$(@:%.o=%.d)"
	@echo 'Finished building: $<'
	@echo ' '

src/libos/component/charset/nls.o: D:/DJYOS_Studio/djysrc/component/charset/nls.c
	@echo 'Building file: $<'
	@echo 'Invoking: Cross ARM GNU C Compiler'
	arm-djyos-eabi-gcc -mcpu=cortex-m4 -mthumb -mlittle-endian -mfloat-abi=hard -mfpu=fpv4-sp-d16 -O0 -fmessage-length=0 -fsigned-char -ffunction-sections -fdata-sections -ffreestanding -fno-move-loop-invariants -Wall -Wextra  -g3 -DDEBUG=1 -DCFG_MODULE_ENABLE_ART32F4=true -DAT_START_F437_V1 -DCFG_CPU_AT32F4 -DUSE_STDPERIPH_DRIVER -DAT32F437VGT7 -DCFG_MODULE_ENABLE_FAT_FILE_SYSTEM=true -DCFG_FAT_MS_INSTALLUSE=MS_INSTALLCREAT -D"CFG_FAT_MEDIA_KIND=\"MSC\"" -D"CFG_FAT_MOUNT_POINT=\"fat\"" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/armv7e-m/cortex-m4/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/armv7e-m/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/arch/arm/cortex-m/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libc/include/sys" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libm/common" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/libc/libc/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/cpudrv/arterytek/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/boarddrv/user/hzgj_dtu/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/font" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/net" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/djyfs" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/widget" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/device" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/gui" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/component/include/misc" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/djyos/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/djyos" -I"D:/DJYOS_Studio/Workspace/dtu/src/iboot/OS_prjcfg" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/loader/si/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/userlib/app_update/" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/fs/fat/" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/bsp/chipdrv/include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/at32f43x" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/userlib" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/CMSIS/Include" -I"D:\DJYOS_Studio\IDE\\..\djysrc\/third/firmware/at32f43x/inc" -std=gnu11 -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@)" -c -o "$@" "$<" -MMD -MP -MF"$(@:%.o=%.d)"
	@echo 'Finished building: $<'
	@echo ' '


